import { Routes } from '@angular/router';
import { PageVibrationMonitor } from '../modules/industry/machine/page-vibration-monitor/page-vibration-monitor';
import { PageVibrationAnalysis } from '../modules/industry/machine/page-vibration-analysis/page-vibration-analysis';
import { PageVibrationHistory } from '../modules/industry/machine/page-vibration-history/page-vibration-history';

export const routes: Routes = [
  { path: '', redirectTo: '/dashboard', pathMatch: 'full' },
  { path: 'dashboard', component: PageVibrationMonitor },
  { path: 'analysis', component: PageVibrationAnalysis },
  { path: 'history', component: PageVibrationHistory },
  { path: '**', redirectTo: '/dashboard' }
];